# Coding Style Guide

## Requirements

1. Comments
2. Names
3. Indent/brace style
4. Files

## Recommendations

1. Additional comments
2. General formatting style (Choose a format and stick to it)
3. Indent/brace style (on line, under line, etc)
4. Variables (Initialize at declaration)

---

## Stub Code

From here on out, this documentation will no longer show full code (except when needed). We will only show you stub code. This is for the sake of saving space. Stub code will not compile by itself.

```c
#include <stido.h>

int main(void)
{
    /* INSERT TABBED STUB CODE HERE */
     getchar();
     return 0;   
}
```

